Package javassist.util.proxy

# Class ProxyObjectInputStream

java.lang.Object
java.io.InputStream
java.io.ObjectInputStream
javassist.util.proxy.ProxyObjectInputStream

All Implemented Interfaces:
  `Closeable`, `DataInput`, `ObjectInput`, `ObjectStreamConstants`, `AutoCloseable`

public class ProxyObjectInputStream extends ObjectInputStream
An input stream class which knows how to deserialize proxies created via `ProxyFactory` and serializedo via a `ProxyObjectOutputStream`. It must be used when deserialising proxies created from a proxy factory configured with `ProxyFactory.useWriteReplace` set to false.

Author:
  Andrew Dinn

## Nested Class Summary

## Nested classes/interfaces inherited from class java.io.ObjectInputStream

`ObjectInputStream.GetField`

## Field Summary

### Fields inherited from interface java.io.ObjectStreamConstants

`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, SERIAL_FILTER_PERMISSION, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

## Constructor Summary

Constructors
Constructor
Description
`ProxyObjectInputStream(InputStream in)`
create an input stream which can be used to deserialize an object graph which includes proxies created using class ProxyFactory.

## Method Summary

Modifier and Type
Method
Description
`void`
`setClassLoader(ClassLoader loader)`
Reset the loader to be

### Methods inherited from class java.io.ObjectInputStream

`available, close, defaultReadObject, getObjectInputFilter, read, read, readBoolean, readByte, readChar, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readShort, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, setObjectInputFilter, skipBytes`

### Methods inherited from class java.io.InputStream

`mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.ObjectInput

`read, skip`

## Constructor Details

### ProxyObjectInputStream

public ProxyObjectInputStream(InputStream in) throws IOException
create an input stream which can be used to deserialize an object graph which includes proxies created using class ProxyFactory. the classloader used to resolve proxy superclass and interface names read from the input stream will default to the current thread's context class loader or the system classloader if the context class loader is null.

Parameters:
  `in` -
Throws:
  `StreamCorruptedException` - whenever ObjectInputStream would also do so
  `IOException` - whenever ObjectInputStream would also do so
  `SecurityException` - whenever ObjectInputStream would also do so
  `NullPointerException` - if in is null

## Method Details

### setClassLoader

public void setClassLoader(ClassLoader loader)
Reset the loader to be

Parameters:
  `loader` -